Subject: bug#25758: Should zathura depend on zathura-pdf-poppler?

From: ng0 <[email-masked]>
Date: Fri, 17 Feb 2017 14:35:34 +0000

On 17-02-17 01:29:36, Alex Kost wrote:
> Mekeor Melire (2017-02-16 18:01 +0100) wrote:
> 
> > zathura is a document viewer:
> >
> > 	synopsis: Lightweight keyboard-driven PDF viewer
> > 	description: Zathura is a customizable document viewer.  It
> > provides a minimalistic interface and an interface that mainly focuses
> > on keyboard interaction.
> >
> > Meanwhile, when you only install zathura itself, it's not usable for any
> > format. You have to install zathura-pdf-poppler in order to be able to
> > open PDF files.
> >
> > So, shouldn't zathura depend on zathura-pdf-poppler so that PDFs are viewable by default?
> >
> > On IRC, we agreed that zathura should depend on zathura-pdf-poppler:
> >
> > 	<mekeor> i just installed 'zathura', a PDF viewer. it doesn't
> > work. i get this error first: "could not open plugin directory". can
> > anyone reproduce this?
> > 	<mekeor> oh, i think i have to additionally install another package.
> > 	<mekeor> zathura-pdf-poppler
> > 	<lfam> mekeor: If that's the cause, we should fix it!
> > 	<mekeor> lfam: yes, it was the cause.
> > 	<mekeor> lfam: there are several different backends for
> > zathura. it's imaginable that a person wants to install zathura without
> > PDF support but only postscript support, isn't it?
> > 	<lfam> mekeor: It's imaginable, but we generally intend to provide fully featured packages
> 
> zathura is already a fully-featured package; it just happens that it
> doesn't include any plugin, so it's not usable by default.  But it's an
> upstream choice.  So I think we shouldn't modify zathura package.
> 
> > 	<Sleep_Walker> question is - is there anyone who would like to
> > have zathura and not zathura-pdf-poppler?
> > 	<Sleep_Walker> and I agree that it is unlikely
> > 	<Sleep_Walker> that is moment where weaker dependency like 'recommends' would come handy
> >
> > If you have a different opinion, let me know. Otherwise, I'm going to
> > send a patch next week which implements this dependency.
> 
> I have a different opinion.  I think since 'zathura' and its plugins are
> separate projects, they should stay independent packages, and
> 'zathura-pdf-poppler' shouldn't be propagated when 'zathura' is
> installed, especially taking into account that there is
> 'zathura-pdf-mupdf' (which is not packaged).
> 
> Also what if a user doesn't want to view PDFs at all?  Well, it's
> unlikely, but still.  There might be users who like djvu and don't like
> pdf, why not.
> 
> And the same logic should be applied to 'aspell'.  It's not usable by
> itself, you need to install some dictionary.  So what about installing
> 'aspell-dict-en' by default along with 'aspell'?  To be clear I'm
> against this and against modifying 'zathura' package.
> 
> But I think it would be good to update the description to mention that a
> user should also install 'zathura-*' plugins to make it work.
> 
> -- 
> Alex
> 
> 
> 

I agree, the packages are good as they are, what must be improved in
this case is the description of the root package (zathura).

-- 
ng0 -- https://www.inventati.org/patternsinthechaos/